package com.tuoheng.admin.controller;

import com.tuoheng.admin.entity.request.camera.QueryCameraListRequest;
import com.tuoheng.admin.service.camera.ICameraService;
import com.tuoheng.common.utils.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @desc: 摄像头 前端控制器
 * @team: tuoheng
 * @author: wanjing
 * @date: 2023-02-06
 */
@RestController
@RequestMapping("/camera")
public class CameraController {

    @Autowired
    private ICameraService cameraService;

    /**
     * 查询摄像头列表
     */
    @GetMapping("/list")
    public JsonResult getList(QueryCameraListRequest request) {
        return cameraService.getList(request);
    }

    /**
     * 获取摄像头详细信息
     */
    @GetMapping(value = "/{id}")
    public JsonResult getOneById(@PathVariable("id") Integer id) {
        return cameraService.getOneById(id);
    }


}
