package com.tuoheng.admin.controller;

import com.tuoheng.admin.entity.request.warehouse.QueryWarehousePageListRequest;
import com.tuoheng.admin.service.warehouse.IWarehouseService;
import com.tuoheng.common.utils.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @desc: 仓库 前端控制器
 * @team: tuoheng
 * @author: wanjing
 * @date: 2023-02-06
 */
@RestController
@RequestMapping("/warehouse")
public class WarehouseController {

    @Autowired
    private IWarehouseService warehouseService;

    /**
     * 查询仓库列表
     */
    @GetMapping("/page/list")
    public JsonResult getPagelist(QueryWarehousePageListRequest request) {
        return warehouseService.getPagelist(request);
    }

    /**
     * 获取仓库详细信息
     */
    @GetMapping(value = "/{id}")
    public JsonResult getOneById(@PathVariable("id") Integer id) {
        return warehouseService.getOneById(id);
    }

}
