package com.tuoheng.admin.entity.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 摄像头对象 th_camera
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_camera")
public class Camera extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 摄像头名称
     */
    private String cameraName;

    /**
     * 设备类型 1枪机 2球机
     */
    private Integer cameraType;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 位置名称
     */
    private String location;

    /**
     * flv地址
     */
    private String flvUrl;

    /**
     * 备注
     */
    private String remark;
}
