package com.tuoheng.admin.entity.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 巡检问题表
 *
 * @author WangHaoran
 * @since 2021-09-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_question_type")
public class QuestionType extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     *问题编码
     */
    private String code;

    /**
     *项目类型：林斑、病死树、人员活动、火灾隐患
     */
    private String content;

    /**
     * 问题描述
     */
    private String description;

    /**
     * 排序
     */
    private Integer sort;


    /**
     * 添加人名称
     */
    private String createUserName;

    /**
     * 更新人名称
     */
    private String updateUserName;

}
