package com.tuoheng.admin.entity.domain;

import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

import com.tuoheng.admin.enums.MarkTypeEnum;
import com.tuoheng.admin.enums.UpdateOrCreateEnum;
import com.tuoheng.common.common.BaseEntity;
import com.tuoheng.system.utils.ShiroUtils;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 企业管理表
 * </p>
 *
 * @author 拓恒
 * @since 2022-07-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_tenant")
public class Tenant extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

//    public Tenant(int type){
//        if(type== UpdateOrCreateEnum.CREATE.getCode()){
//            setCreateUser(ShiroUtils.getUserId());
//            setCreateTime(new Date());
//            setMark(MarkTypeEnum.VALID.getCode());
//        }
//        setUpdateUser(ShiroUtils.getUserId());
//        setUpdateTime(new Date());
//    }

    /**
     * 租户名称
     */
    private String name;

    /**
     * 租户编号
     */
    private String code;

    /**
     * 租户LOGO
     */
    private String logo;

    /**
     * 上级ID
     */
    private Integer pid;

    /**
     * 租户类型：1政府 2企业 3组织
     */
    private Integer type;

    /**
     * 租户电话
     */
    private String phone;

    /**
     * 租户邮箱
     */
    private String email;

    /**
     * 机场调用邮箱
     */
    private String airportUrl;

    /**
     * 省份编号
     */
    private String provinceCode;

    /**
     * 市区编号
     */
    private String cityCode;

    /**
     * 区县编号
     */
    private String districtCode;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 租户简介
     */
    private String intro;

    /**
     * 状态：1正常 2禁用
     */
    private Integer status;

    /**
     * 备注
     */
    private String note;

    /**
     * 排序号
     */
    private Integer sort;

}
