package com.tuoheng.admin.entity.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.admin.enums.MarkTypeEnum;
import com.tuoheng.admin.enums.UpdateOrCreateEnum;
import com.tuoheng.common.common.BaseEntity;
import com.tuoheng.system.utils.ShiroUtils;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * th_flight_data
 * @author qiujinyang
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_inspection")
public class ThInspection extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    public ThInspection(int type){
        if(type== UpdateOrCreateEnum.CREATE.getCode()){
            setCreateTime(new Date());
            setMark(MarkTypeEnum.VALID.getCode());
        }
        setUpdateTime(new Date());
    }

    /**
     * 租户id
     */
    private Integer tenantId;

    /**
     * 任务ID
     */
    private Integer missionId;

    /**
     * 巡检的ID，跟硬件对接的时候，硬件的巡检ID
     */
    private Integer inspectionId;


    /**
     * 地面站标识
     */
    private String hostIp;


    /**
     * 飞行高度
     */
    private String altitude;

    /**
     * 经度
     */
    private String lng;

    /**
     * 纬度
     */
    private String lat;


    /**
     * 飞行时间
     */
    private Long flyTime;

}