package com.tuoheng.admin.entity.request;

import com.tuoheng.common.common.BaseQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Value;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 查询巡检任务请求实体
 * @author: qiujinyang
 */
@Data
public class MissionQuery extends BaseQuery  implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;

    @ApiModelProperty(value = "任务名称")
    private String name;

    @ApiModelProperty(value = "任务编号")
    private String code;

    @ApiModelProperty(value = "巡检方式  1 机场服务，2 人工巡检")
    private Integer inspectionType;

    @ApiModelProperty(value = "任务飞行状态：1任务待飞行 2任务飞行中 3任务执行失败 4任务飞行完成")
    private Integer status;

    @ApiModelProperty(value = "巡检机场")
    private Integer airportId;

    @ApiModelProperty(value = "巡检线路")
    private Integer inspectionLine;

    @ApiModelProperty(value = "任务类型")
    private Integer type;

    @ApiModelProperty(value = "租户Id",hidden = true)
    private Integer tenantId;
}
