package com.tuoheng.admin.entity.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 巡检任务 新增或修改请求参数
 * @author: qiujinyang
 * @date: 2021/9/7
 */
@Data
public class MissionStatusRequest  implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "巡检任务ID不能为空！")
    @ApiModelProperty(value = "巡检任务ID不能为空")
    private Integer id;

    //@NotNull(message = "视频推流地址不能为空！")
    @ApiModelProperty(value = "视频推流地址")
    private String pushUrl;

    //@NotNull(message = "视频拉流地址不能为空！")
    @ApiModelProperty(value = "视频拉流地址")
    private String pullUrl;

    @ApiModelProperty(value = "任务状态1待执行 2执行中")
    private Integer status;

    @ApiModelProperty(value = "任务里程")
    private String mileage;

    @ApiModelProperty(value = "直播原视频外网地址")
    private String playUrl;

    @ApiModelProperty(value = "请求ID")
    private String requestId;
}
