package com.tuoheng.admin.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 报告信息Vo
 */
@Data
public class ReportVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告Id")
    private Integer id;

    @ApiModelProperty(value = "报告编号")
    private String reportNo;

    @ApiModelProperty(value = "任务ID")
    private Integer missionId;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "生成时间")
    private Date generateTime;

    @ApiModelProperty(value = "任务名称")
    private String missionName;

    @ApiModelProperty(value = "巡检机场")
    private String airportId;

    @ApiModelProperty(value = "巡检机场名称")
    private String airportName;

    @ApiModelProperty(value = "任务类型 1 日常，2 应急巡检")
    private Integer type;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "巡检时间")
    private Date executionStartTime;

}
