package com.tuoheng.admin.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @Author ChengWang
 * @Date 2023/2/8
 */
@Data
public class WarningDetailsVO {

    /**
     * 火灾位置
     */
    private String location;

    /**
     * 发现方式 1监控摄像 2无人机巡检 3人工巡检
     */
    private Integer discoveryWay;

    /**
     *上报时间
     */
    @DateTimeFormat(pattern = "yyyy.MM.dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy.MM.dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 问题图片
     */
    private String fileOriginalUrl;

    /**
     * 处理结果
     */
    private String checkResult;

    /**
     * 处理人
     */
    private Integer checkUser;

    /**
     * 处理时间
     */
    @DateTimeFormat(pattern = "yyyy.MM.dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy.MM.dd HH:mm:ss",timezone = "GMT+8")
    private Date checkTime;

    /**
     * 灾情记录
     */
    private List<WarningRecordVO> warningRecordVOList;



}
