package com.tuoheng.admin.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tuoheng.admin.entity.domain.Goods;
import com.tuoheng.admin.entity.request.goods.QueryGoodsListRequest;

/**
 * 物资Mapper接口
 *
 * @team tuoheng
 * @author wanjing
 * @date 2023-02-06
 */
public interface GoodsMapper extends BaseMapper<Goods> {

    /**
     * 查询物资列表
     *
     * @param request 物资
     * @return 物资集合
     */
    List<Goods> getList(QueryGoodsListRequest request);

    /**
     * 查询物资
     * 
     * @param id 物资主键
     * @return 物资
     */
     Goods getOneById(Integer id);


}
