package com.tuoheng.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tuoheng.admin.entity.domain.WarningRecord;
import com.tuoheng.admin.entity.request.warningrecord.QueryWarningRecordListRequest;

import java.util.List;

/**
 * 预警记录Mapper接口
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-06
 */
public interface WarningRecordMapper extends BaseMapper<WarningRecord> {

    /**
     * 查询预警记录列表
     *
     * @param request 预警记录
     * @return 预警记录集合
     */
    List<WarningRecord> getList(QueryWarningRecordListRequest request);

    /**
     * 查询预警记录
     *
     * @param id 预警记录主键
     * @return 预警记录
     */
    WarningRecord getOneById(Integer id);

}
