package com.tuoheng.admin.service.goods;

import com.tuoheng.admin.entity.request.goods.QueryGoodsListRequest;
import com.tuoheng.admin.service.goods.query.QueryGoodsListService;
import com.tuoheng.common.utils.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 物资Service业务层处理
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-06
 */
@Service
public class GoodsServiceImpl implements IGoodsService {

    @Autowired
    private QueryGoodsListService queryGoodsListService;

    /**
     * 查询物资列表
     *
     * @param request 查询物资列表实体
     * @return 摄像头集合
     */
    @Override
    public JsonResult getList(QueryGoodsListRequest request) {
        return queryGoodsListService.getList(request);
    }

    /**
     * 查询物资
     *
     * @param id 物资主键
     * @return 物资
     */
    @Override
    public JsonResult getOnesById(String id) {
        return null;
    }

}
