package com.tuoheng.admin.service.goods.query;

import cn.hutool.core.collection.CollectionUtil;
import com.tuoheng.admin.entity.domain.Camera;
import com.tuoheng.admin.entity.domain.Goods;
import com.tuoheng.admin.entity.request.camera.QueryCameraListRequest;
import com.tuoheng.admin.entity.request.goods.QueryGoodsListRequest;
import com.tuoheng.admin.mapper.CameraMapper;
import com.tuoheng.admin.mapper.GoodsMapper;
import com.tuoheng.common.utils.JsonResult;
import com.tuoheng.system.entity.User;
import com.tuoheng.system.utils.ShiroUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 查询物质表业务层处理
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-22
 */
@Slf4j
@Service
public class QueryGoodsListService {

    @Autowired
    private GoodsMapper goodsMapper;

    public JsonResult getList(QueryGoodsListRequest request) {
//        log.info("进入查询物质列表业务");

        User user = ShiroUtils.getUserInfo();
        Integer tenantId = user.getTenantId();
        request.setTenantId(tenantId);

        JsonResult result = this.check(tenantId, request);
        if (0 != result.getCode()) {
            log.info("进入查询物质列表业务：校验失败：{}", result.getMsg());
            return result;
        }
        List<Goods> cameraList = goodsMapper.getList(request);
        if (CollectionUtil.isEmpty(cameraList)) {
            log.info("物质列表数据为空");
        }
        return JsonResult.success(cameraList);
    }

    /**
     * 检查参数
     *
     * @param tenantId
     * @param request
     * @return
     */
    private JsonResult check(Integer tenantId, QueryGoodsListRequest request) {

        return JsonResult.success();
    }

}
