package com.tuoheng.admin.service.warningrecord.query;

import cn.hutool.core.collection.CollectionUtil;
import com.tuoheng.admin.entity.domain.Warning;
import com.tuoheng.admin.entity.domain.WarningRecord;
import com.tuoheng.admin.entity.request.warning.QueryWarningListRequest;
import com.tuoheng.admin.entity.request.warningrecord.QueryWarningRecordListRequest;
import com.tuoheng.admin.mapper.WarningMapper;
import com.tuoheng.admin.mapper.WarningRecordMapper;
import com.tuoheng.common.utils.JsonResult;
import com.tuoheng.system.entity.User;
import com.tuoheng.system.utils.ShiroUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 查询预警记录业务层处理
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-22
 */
@Slf4j
@Service
public class QueryWarningRecordListService {

    @Autowired
    private WarningRecordMapper warningRecordMapper;

    public JsonResult getList(QueryWarningRecordListRequest request) {
//        log.info("进入查询预警记录列表业务");

        User user = ShiroUtils.getUserInfo();
        Integer userId = user.getId();
        Integer tenantId = user.getTenantId();
        request.setTenantId(tenantId);

        JsonResult result = this.check(tenantId, request);
        if (0 != result.getCode()) {
            log.info("进入查询预警记录列表业务：校验失败：{}", result.getMsg());
            return result;
        }
        List<WarningRecord> warningRecordList = warningRecordMapper.getList(request);
        if (CollectionUtil.isEmpty(warningRecordList)) {
            log.info("预警记录列表数据为空");
        }
        return JsonResult.success(warningRecordList);
    }

    /**
     * 检查参数
     *
     * @param tenantId
     * @param request
     * @return
     */
    private JsonResult check(Integer tenantId, QueryWarningRecordListRequest request) {

        return JsonResult.success();
    }

}
