package com.tuoheng.system.service;

import com.tuoheng.common.utils.JsonResult;
import com.tuoheng.common.common.IBaseService;
import com.tuoheng.system.entity.Level;
import com.tuoheng.system.query.LevelQuery;
import com.tuoheng.system.vo.level.LevelInfoVo;

import java.util.List;

/**
 * <p>
 * 职级表 服务类
 * </p>
 *
 * @author 拓恒
 * @since 2020-11-02
 */
public interface ILevelService extends IBaseService<Level> {

    /**
     * 获取职级列表
     *
     * @return
     */
    JsonResult getLevelList();

    /**
     * 导出Excel数据
     *
     * @param levelQuery 查询条件
     * @return
     */
    List<LevelInfoVo> exportExcel(LevelQuery levelQuery);

}
