package com.tuoheng.system.service;

import com.tuoheng.common.common.IBaseService;
import com.tuoheng.common.utils.JsonResult;
import com.tuoheng.system.dto.RoleMenuDto;
import com.tuoheng.system.entity.Role;

/**
 * <p>
 * 系统角色表 服务类
 * </p>
 *
 * @author 拓恒
 * @since 2020-10-31
 */
public interface IRoleService extends IBaseService<Role> {

    /**
     * 获取角色列表
     *
     * @return
     */
    JsonResult getRoleList();

    /**
     * 获取角色菜单列表
     *
     * @param roleId 角色ID
     * @return
     */
    JsonResult getMenuList(Integer roleId);

    /**
     * 保存角色菜单数据
     *
     * @param roleMenuDto 角色菜单Dto
     * @return
     */
    JsonResult savePermission(RoleMenuDto roleMenuDto);

}
